> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/ja/rissu/api-docs/retrieve-current-user-account-details.md).

# 現在のユーザーのアカウント詳細を取得

このエンドポイントを使用すると、現在認証されているユーザーのアカウントの詳細を取得できます。

## エンドポイント

```
GET /api/v1/account/
```

## 認証

このエンドポイントは、JWTトークンを使用した認証を必要とします。

## リクエスト

リクエストパラメータは必要ありません。

## レスポンス

```json
{
  "id": "user_id",
  "email": "user@example.com",
  "name": "ユーザー名"
}
```

## ユーザープロフィール（拡張情報）

より詳細なユーザープロフィール情報を取得するには、次のようにします：

```
GET /api/v1/me/
```

### 拡張レスポンス

```json
{
  "id": "username",
  "email": "user@example.com",
  "name": "ユーザー名",
  "user_onboarding_status": 7,
  "dev_onboarding_status": 3,
  "company_name": "会社名",
  "website": "https://example.com",
  "bio": "ユーザーのバイオ",
  "team": [
    {
      "id": "team_id", 
      "name": "チーム名", 
      "image_url": "url", 
      "role": "admin"
    }
  ],
  "embed_quota": 10000,
  "current_usage": 500,
  "email_verified": true
}
```

## エラー応答

| ステータスコード | 説明                               |
| -------- | -------------------------------- |
| 401      | 認証されていません - 無効または欠落している認証情報      |
| 403      | 禁止 - ユーザーにはこのリソースにアクセスする権限がありません |
| 500      | 内部サーバーエラー - サーバーで何かがうまくいきませんでした  |

## 使用例

### cURLの使用

```bash
curl -H "Authorization: Bearer YOUR_JWT_TOKEN" https://api.rememberizer.ai/api/v1/account/
```

### JavaScriptの使用

```javascript
const response = await fetch('https://api.rememberizer.ai/api/v1/account/', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_JWT_TOKEN'
  }
});
const data = await response.json();
console.log(data);
```

### Pythonを使用する

```python
import requests

headers = {"Authorization": "Bearer YOUR_JWT_TOKEN"}
response = requests.get("https://api.rememberizer.ai/api/v1/account/", headers=headers)
data = response.json()
print(data)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/ja/rissu/api-docs/retrieve-current-user-account-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
